ant version is not showing correctly

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

ant version is not showing correctly

govind nitk
Hi,

Downloaded ant from
http://www-eu.apache.org/dist//ant/binaries/apache-ant-1.10.3-bin.tar.xz

doing ./bin/ant -version

Getting output as:

OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=512m; support
was removed in 8.0
Apache Ant(TM) version 1.10.2 compiled on February 3 2018


I was expecting it will print version 1.10.3


Lucene-solr build is failing
with message:

Cannot run with ANT version 1.10.2 - see
https://issues.apache.org/jira/browse/LUCENE-8189


Am I missing something ?
Reply | Threaded
Open this post in threaded view
|

Re: ant version is not showing correctly

govind nitk
My mistake,

in bashrc, ANT_HOME was hardcoded to some other ant.

No more issues.

On Wed, Apr 18, 2018 at 1:08 PM, govind nitk <[hidden email]> wrote:

> Hi,
>
> Downloaded ant from http://www-eu.apache.org/dist/
> /ant/binaries/apache-ant-1.10.3-bin.tar.xz
>
> doing ./bin/ant -version
>
> Getting output as:
>
> OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=512m;
> support was removed in 8.0
> Apache Ant(TM) version 1.10.2 compiled on February 3 2018
>
>
> I was expecting it will print version 1.10.3
>
>
> Lucene-solr build is failing
> with message:
>
> Cannot run with ANT version 1.10.2 - see https://issues.apache.org/
> jira/browse/LUCENE-8189
>
>
> Am I missing something ?
>
Reply | Threaded
Open this post in threaded view
|

AW: ant version is not showing correctly

Jan Matèrne (jhm)
You should also check your $ANT_OPTS and remove the -XMaxPermSize=512m.
The output sais, that Java8 does not support that anymore and so you'll get rid off this message.

Jan

> -----Ursprüngliche Nachricht-----
> Von: govind nitk [mailto:[hidden email]]
> Gesendet: Mittwoch, 18. April 2018 10:37
> An: [hidden email]
> Betreff: Re: ant version is not showing correctly
>
> My mistake,
>
> in bashrc, ANT_HOME was hardcoded to some other ant.
>
> No more issues.
>
> On Wed, Apr 18, 2018 at 1:08 PM, govind nitk <[hidden email]>
> wrote:
>
> > Hi,
> >
> > Downloaded ant from http://www-eu.apache.org/dist/
> > /ant/binaries/apache-ant-1.10.3-bin.tar.xz
> >
> > doing ./bin/ant -version
> >
> > Getting output as:
> >
> > OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=512m;
> > support was removed in 8.0 Apache Ant(TM) version 1.10.2 compiled on
> > February 3 2018
> >
> >
> > I was expecting it will print version 1.10.3
> >
> >
> > Lucene-solr build is failing
> > with message:
> >
> > Cannot run with ANT version 1.10.2 - see https://issues.apache.org/
> > jira/browse/LUCENE-8189
> >
> >
> > Am I missing something ?
> >


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]